Jump to content
Juan

Java para OS X descargable y actualizable desde Oracle

Recommended Posts

Curioso...despues de aplicar como hemos comentado el update desde el panel de java al hacer "java -version" en el terminal aparece esto

 

java version "1.7.0_06"
Java(TM) SE Runtime Environment (build 1.7.0_06-b24)
Java HotSpot(TM) 64-Bit Server VM (build 23.2-b09, mixed mode)

 

 

sin embargo al comprobar la version de java desde el navegador (que es donde esta la vulnerabilidad) -->

 

xc0q4l.png

 

 

Conclusion (y por si acaso) me bajo de nuevo el JDK enterito y lo instalo...

Edited by miguej

Share this post


Link to post
Share on other sites

Ok, instalado el JDK 7u7 pero...curioso...seguia ocurriendo lo de antes.

 

¿Que ha pasado? (me preguntaba yo)...pues que...sencillamente NO esta seleccionado.

 

Una vez instalado el JDK debes ir al "viejo" Preferencias de Java que esta en utilidades y seleccionar la nueva version..ojo que no salta a la vista...os pongo imagen de como hacer el cambio.

 

16ld75t.png

 

Al instalar el nuevo JDK y abrir las Preferencias de java fijate que al final del numero de version han aparecido los dos triangulitos que indican que hay mas de un valor...pinchar y cambiar

Share this post


Link to post
Share on other sites

Ok, instalado el JDK 7u7 pero...curioso...seguia ocurriendo lo de antes.

 

¿Que ha pasado? (me preguntaba yo)...pues que...sencillamente NO esta seleccionado.

 

Una vez instalado el JDK debes ir al "viejo" Preferencias de Java que esta en utilidades y seleccionar la nueva version..ojo que no salta a la vista...os pongo imagen de como hacer el cambio.

 

16ld75t.png

 

Al instalar el nuevo JDK y abrir las Preferencias de java fijate que al final del numero de version han aparecido los dos triangulitos que indican que hay mas de un valor...pinchar y cambiar

Te has adelantado ;) iba a comentarlo. Creo que esto es una pega importante para aquellos que el tamaño de las aplicaciones es importante. No se "elimina" la versión antigua (en este caso la 6). No sé si desintalando la Update 6 antes de instalar la Update 7 seguirá pasando. Porque con el tiempo puedes tener hasta 30-40 Updates...

 

Un saludo.

Share this post


Link to post
Share on other sites

Hola, muy buenas

Para borrar el update 6, solo hay que dar doble clic en el Java 7 dentro del antiguo preferencias de Java y nos mostrara una ventana en el finder donde tenemos el archivo, y lo podremos mandar a la papelera.

Share this post


Link to post
Share on other sites

Hola

 

He instalado esta actualización a través del panel de Java de las preferencias de sistema, y estoy que no se que creer, ya que en dicho panel me dice que lo tengo actualizado, pero en cambio me voy al terminal y a las preferencias de Java y me aparece tal cual como lo tenía hasta antes de realizar la actualización.

 

Adjunto un pantallazo que he hecho para que lo miréis y me digáis que opináis.

 

Como se suele decir o preguntar ¿A quien le creo? sad.gif

 

javanuevo.jpg

Claro. El panel solo instala la versión JRE, no la versión JDK. Mientras se conserve la versión 6 de Apple, se tendrá que hacer manualmente (o bien Oracle lo solucionará... o no).

 

Un saludo.

 

 

Y como se hace manualmente??

Pues descargando de la página de Oracle la versión JDK Update 7 e instalándola. De esta manera tendrás instalada la versión 7, en su update 6 y 7. Si como me imagino que la 6 no te interesa (aunque puede ser que si), para eliminarla, solo debes seguir las instruciones antes de instalar la update 7.

 

Un saludo.

 

 

Perdona, las molestias, pero podrías facilitarme el enlace exacto para descargarlo y lo de las intrusiones para borrar antes de instalar ??? . Como le comentaste al colega, que al cabo del tiempo nos juntaremos con un mogollón de updates.

 

Es que al entrar en Oracle, encuentro un sin fin de versiones de Java y no quiero joderla.

 

 

Share this post


Link to post
Share on other sites

Miniguia de instalación por lo que sabemos:

- Si tienes Java, versión 6 y quieres tener Java, versión 7, este es tu enlace de descargas. Recuerda, versión JDK y no JRE porque sino, vas a tener problemas.

- Si quieres eliminar una Update antigua, como dice ferransv42, doble click dentro de las "antiguas" preferencias de Java a la versión 7 y te aparecera la carpeta. Mi recomendación: primero instala y luego elimina.

 

Un saludo.

Share this post


Link to post
Share on other sites

Miniguia de instalación por lo que sabemos:

- Si tienes Java, versión 6 y quieres tener Java, versión 7, este es tu enlace de descargas. Recuerda, versión JDK y no JRE porque sino, vas a tener problemas.

- Si quieres eliminar una Update antigua, como dice ferransv42, doble click dentro de las "antiguas" preferencias de Java a la versión 7 y te aparecera la carpeta. Mi recomendación: primero instala y luego elimina.

 

Un saludo.

 

Si, pero antes de borrarla de las antiguas preferencias de Java, tendría que activar primero el update 7 tal como lo habia hecho Miguel, o es indiferente??

Share this post


Link to post
Share on other sites

Es indiferente.

 

 

Ahora si, lo he descargado del enlace que me has dado, instalé y he borrado la versión anterior. Lo he comprobado y como veis en la imagen espero tener todo correcto.

 

 

java7ok.jpg

 

Share this post


Link to post
Share on other sites

Es indiferente.

 

 

Ahora si, lo he descargado del enlace que me has dado, instalé y he borrado la versión anterior. Lo he comprobado y como veis en la imagen espero tener todo correcto.

 

 

java7ok.jpg

Me "preocupa" que mientras la mayoría de las personas tengas que tener la versión 6 y 7 instaladas, la gestión de actualizaciones y demás no será tan sencilla como debiera... Quizás nos deberemos de acostumbrar hasta que la versión 6 esté obsoleta.

 

Un saludo.

Share this post


Link to post
Share on other sites

He planteado esta duda en otro tema y me han dirigido aquí, a ver si podéis ayudarme:

Hace menos de una semana que me compré un iMac con OS X ML y he creído entender por aquí que a partir de Lion los Mac ya no llevan Java preinstalado. Ahora quiero instalar JDownloader en mi mac, y he leído que la nueva versión 7 de Java (disponible desde la web de Oracle) da bastantes problemas e impide el buen funcionamiento de Google Chrome. En la página oficial de descargas de JDownloader hay esto en cuanto a Java:

capturadepantalla201209.png

Yo creo que no tengo ninguna versión de Java instalada en mi equipo, entonces, para que me funcione bien JDownloader y Chrome cual de esas 2 versiones de Java me tengo que descargar? "Download Java" o la de "JRE 1.6 u17"?

Share this post


Link to post
Share on other sites

He planteado esta duda en otro tema y me han dirigido aquí, a ver si podéis ayudarme:

Hace menos de una semana que me compré un iMac con OS X ML y he creído entender por aquí que a partir de Lion los Mac ya no llevan Java preinstalado. Ahora quiero instalar JDownloader en mi mac, y he leído que la nueva versión 7 de Java (disponible desde la web de Oracle) da bastantes problemas e impide el buen funcionamiento de Google Chrome. En la página oficial de descargas de JDownloader hay esto en cuanto a Java:

capturadepantalla201209.png

Yo creo que no tengo ninguna versión de Java instalada en mi equipo, entonces, para que me funcione bien JDownloader y Chrome cual de esas 2 versiones de Java me tengo que descargar? "Download Java" o la de "JRE 1.6 u17"?

En primer lugar, hay que comprobar si tienes o no Java instalado. Ves a la carpeta de Utilidades (dentro de Aplicaciones) y busca la aplicación "Preferencias de Java". Si la tienes, abrela y dinos que muestra. En caso que no tengas dicha aplicación, por lo que tengo entendido necesitas la versión 6 de Java, que proporciona Apple. Para ello lo único que tienes que hacer (que yo recuerde), es instalar una aplicación que necesita Java y saldrá la ventanita de actualizar (como este asunto lleva un tiempo, no tengo todos los datos a mano...).

 

Bueno, espero que te ayude ;)

 

Un saludo.

 

PS. Por si acaso, te dejo el enlace de la página de Apple donde puedes descargar Java versión 6: este enlace

Edited by Pau Sellés i Garcia

Share this post


Link to post
Share on other sites

He planteado esta duda en otro tema y me han dirigido aquí, a ver si podéis ayudarme:

Hace menos de una semana que me compré un iMac con OS X ML y he creído entender por aquí que a partir de Lion los Mac ya no llevan Java preinstalado. Ahora quiero instalar JDownloader en mi mac, y he leído que la nueva versión 7 de Java (disponible desde la web de Oracle) da bastantes problemas e impide el buen funcionamiento de Google Chrome. En la página oficial de descargas de JDownloader hay esto en cuanto a Java:

capturadepantalla201209.png

Yo creo que no tengo ninguna versión de Java instalada en mi equipo, entonces, para que me funcione bien JDownloader y Chrome cual de esas 2 versiones de Java me tengo que descargar? "Download Java" o la de "JRE 1.6 u17"?

 

Abre el Terminal y escrbe "java -version" (sin las comillas).

Si tienes alguna version instalada te lo mostrará, si no tienes ninguna te saltara una ventana de actualizacion de software y te instalará la ultima version de Java 6.

 

Un saludo. Kevin

Share this post


Link to post
Share on other sites

Gracias, ya tengo Java!

Una vez instalado, he ido a "Preferencias de Java" y muestra que tengo la versión 1.6.0_33-b03-424 (en 64 y 32 bits)

Entonces luego he ido a la página oficial de descargas de JDownloader y hay 4 descargas disponibles:

 

capturadepantalla201209.png

 

He bajado la versión 4, para Mountain Lion, pero me ha salido este mensaje al intentar instalar el programa:

 

capturadepantalla201209z.png

 

 

¿Debería haberme bajado la descarga 3, que es para Java 1.6, o no tiene nada que ver?

 

Un saludo

Share this post


Link to post
Share on other sites

Gracias, ya tengo Java!

Una vez instalado, he ido a "Preferencias de Java" y muestra que tengo la versión 1.6.0_33-b03-424 (en 64 y 32 bits)

Entonces luego he ido a la página oficial de descargas de JDownloader y hay 4 descargas disponibles:

 

capturadepantalla201209.png

 

He bajado la versión 4, para Mountain Lion, pero me ha salido este mensaje al intentar instalar el programa:

 

capturadepantalla201209z.png

 

 

¿Debería haberme bajado la descarga 3, que es para Java 1.6, o no tiene nada que ver?

 

Un saludo

Este es un problema de seguridad que nada tiene que ver con Java. Prueba, pero me imagino que tendrás activada la seguridad intermedia y mientras el desarrollador no sea identificado te seguirá pasando el mismo problema.

 

Un saludo.

Share this post


Link to post
Share on other sites

Al final he instalado la versión 4 haciendo clic en la aplicación y en "Control", funciona más o menos bien, aunque tengo la sensación de que se cuelga un poco.

Gracias por todo ;)

Share this post


Link to post
Share on other sites

Al final he instalado la versión 4 haciendo clic en la aplicación y en "Control", funciona más o menos bien, aunque tengo la sensación de que se cuelga un poco.

Gracias por todo ;)

De nada.

 

Un saludo.

Share this post


Link to post
Share on other sites

Gracias, ya tengo Java!

Una vez instalado, he ido a "Preferencias de Java" y muestra que tengo la versión 1.6.0_33-b03-424 (en 64 y 32 bits)

Entonces luego he ido a la página oficial de descargas de JDownloader y hay 4 descargas disponibles:

 

capturadepantalla201209.png

 

He bajado la versión 4, para Mountain Lion, pero me ha salido este mensaje al intentar instalar el programa:

 

capturadepantalla201209z.png

 

 

¿Debería haberme bajado la descarga 3, que es para Java 1.6, o no tiene nada que ver?

 

Un saludo

 

 

Para poder instalar jDownloader necesitas ir a Preferencias del sistema/Seguridad y privacidad/General y elegir la opción "Cualquier sitio" en vez de "Mac App y desarrolladores identificados". Entonces podrás instalar jDownloader sin problemas. Al instalar jDownlaoder si no tienes Java él mismo bajará Java.

 

Saludos.

Share this post


Link to post
Share on other sites

Gracias, ya tengo Java!

Una vez instalado, he ido a "Preferencias de Java" y muestra que tengo la versión 1.6.0_33-b03-424 (en 64 y 32 bits)

Entonces luego he ido a la página oficial de descargas de JDownloader y hay 4 descargas disponibles:

 

capturadepantalla201209.png

 

He bajado la versión 4, para Mountain Lion, pero me ha salido este mensaje al intentar instalar el programa:

 

capturadepantalla201209z.png

 

 

¿Debería haberme bajado la descarga 3, que es para Java 1.6, o no tiene nada que ver?

 

Un saludo

 

En lugar de abrir JDownloader haciendo doble click, haz click con el botón derecho para que aparezca el menú contextual, y elige "Abrir", te saldrá una ventana con un mensaje parecido pero con un botón de Abrir: Una vez que abras JDownloader así, ya puedes abrirlo haciendo doble click como de constumbre.

 

De esta manera no tienes que cambiar las Preferencias de Seguridad.

 

Un saludo.

Share this post


Link to post
Share on other sites

Me ha saltado una actualización de Apple para Java.

Alucino pero cierto: Apple ha actualizado la versión 6 a 1.6.0_35. Eso significa que estamos al dia con Java.

 

Un saludo.

Edited by Pau Sellés i Garcia

Share this post


Link to post
Share on other sites

Hola,

 

Yo tengo instalada las JRE 7 y tengo el Java 6 también. Primero instalé el 6 y luego el 7.

 

En preferencias del sistema tengo el panel de control (curioso porque no instalé el JDK).

 

Cuando ejecuto en el Terminal: java -version me dice que tengo la 6.

 

Pero en Utilidades/Preferencias de Java no tengo ninguna línea relativa al java 7. ¿Qué sucede?

Share this post


Link to post
Share on other sites

Hola,

 

Yo tengo instalada las JRE 7 y tengo el Java 6 también. Primero instalé el 6 y luego el 7.

 

En preferencias del sistema tengo el panel de control (curioso porque no instalé el JDK).

 

Cuando ejecuto en el Terminal: java -version me dice que tengo la 6.

 

Pero en Utilidades/Preferencias de Java no tengo ninguna línea relativa al java 7. ¿Qué sucede?

Tu mismo te has contestado: no has instalado la versión JDK. Si no la instalas y tienes Java 6 será como si no tuvieras Java 7. Se explica en el hilo.

 

Un saludo.

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.


×
×
  • Create New...

Important Information

We have placed cookies on your device to help make this website better. You can adjust your cookie settings, otherwise we'll assume you're okay to continue.